edu.ucsb.nceas.metacat.scheduler

## Class ScheduledJobDAO

- java.lang.Object
- - edu.ucsb.nceas.utilities.BaseDAO
  - - edu.ucsb.nceas.metacat.scheduler.ScheduledJobDAO

-     public class ScheduledJobDAO
      extends edu.ucsb.nceas.utilities.BaseDAO

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DAILY`
    `static java.lang.String` | `HOURLY`
    `static java.lang.String` | `MINUTELY`
    `static java.lang.String` | `SECONDLY`
    `static java.lang.String` | `WEEKLY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScheduledJobDAO()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addJobParam(ScheduledJobParamDAO jobParamDAO)`
    `java.util.HashMap<java.lang.String,ScheduledJobParamDAO>` | `getAllJobParams()`
    `java.lang.String` | `getClassName()`
    `java.sql.Timestamp` | `getEndTime()`
    `java.lang.String` | `getGroupName()`
    `java.lang.String` | `getIntervalUnit()`
    `int` | `getIntervalValue()`
    `ScheduledJobParamDAO` | `getJobParam(java.lang.String key)`
    `java.lang.String` | `getName()`
    `java.sql.Timestamp` | `getStartTime()`
    `java.lang.String` | `getTriggerName()`
    `void` | `setClassName(java.lang.String className)`
    `void` | `setEndTime(java.sql.Timestamp endTime)`
    `void` | `setGroupName(java.lang.String groupName)`
    `void` | `setIntervalUnit(java.lang.String intervalUnit)`
    `void` | `setIntervalValue(int intervalValue)`
    `void` | `setName(java.lang.String name)`
    `void` | `setStartTime(java.sql.Timestamp startTime)`
    `void` | `setTriggerName(java.lang.String triggerName)`

    - ### Methods inherited from class edu.ucsb.nceas.utilities.BaseDAO

      `getCreateTime, getId, getModTime, getStatus, setCreateTime, setId, setModTime, setStatus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SECONDLY

          public static java.lang.String SECONDLY

    - #### MINUTELY

          public static java.lang.String MINUTELY

    - #### HOURLY

          public static java.lang.String HOURLY

    - #### DAILY

          public static java.lang.String DAILY

    - #### WEEKLY

          public static java.lang.String WEEKLY

  - ### Constructor Detail

    - #### ScheduledJobDAO

          public ScheduledJobDAO()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String name)

    - #### getTriggerName

          public java.lang.String getTriggerName()

    - #### setTriggerName

          public void setTriggerName(java.lang.String triggerName)

    - #### getGroupName

          public java.lang.String getGroupName()

    - #### setGroupName

          public void setGroupName(java.lang.String groupName)

    - #### getClassName

          public java.lang.String getClassName()

    - #### setClassName

          public void setClassName(java.lang.String className)

    - #### getStartTime

          public java.sql.Timestamp getStartTime()

    - #### setStartTime

          public void setStartTime(java.sql.Timestamp startTime)

    - #### getEndTime

          public java.sql.Timestamp getEndTime()

    - #### setEndTime

          public void setEndTime(java.sql.Timestamp endTime)

    - #### getIntervalValue

          public int getIntervalValue()

    - #### setIntervalValue

          public void setIntervalValue(int intervalValue)

    - #### getIntervalUnit

          public java.lang.String getIntervalUnit()

    - #### setIntervalUnit

          public void setIntervalUnit(java.lang.String intervalUnit)

    - #### getJobParam

          public ScheduledJobParamDAO getJobParam(java.lang.String key)

    - #### getAllJobParams

          public java.util.HashMap<java.lang.String,ScheduledJobParamDAO> getAllJobParams()

    - #### addJobParam

          public void addJobParam(ScheduledJobParamDAO jobParamDAO)

Copyright © 2020 Regents of the University of California. All Rights Reserved.